> ## Documentation Index
> Fetch the complete documentation index at: https://docs.periskope.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Document

> Process and create document entries in the knowledge base. The document will be split into chunks for efficient retrieval.




## OpenAPI

````yaml POST /knowledge-base/document/create
openapi: 3.0.3
info:
  title: API - Local
  description: >-
    #### Welcome to the official Postman collection of Periskope API


    Periskope APIs enable you automate actions on your WhatsApp phone, and the
    Periskope platform


    - Read more about the APIs & webhooks here -
    [https://docs.periskope.app/api-reference/introduction](https://docs.periskope.app/api-reference/introduction)
        
    - We encourage responsible usage of the APIs. Follow these best practices
    and recommendations for safe actions on WhatsApp -
    [https://docs.periskope.app/get-started/best-practices](https://docs.periskope.app/get-started/best-practices)
        

    #### Getting Started


    ##### Pre-requisites:


    1. **Sign up for a free account on Periskope:** To use the Periskope API,
    you need to have an active Periskope account. If you don’t have one, you can
    sign up for a 7-day free trial [here](https://console.periskope.app).
        
    2. **Scan the QR code from WhatsApp to connect your phone:** A connected
    phone is required to use the APIs
        
    3. **Go to** [Settings &gt;
    API](https://console.periskope.app/settings/api), and generate an API key
    for your organization - The API key is used to authenticate every request.
    Please keep this secure
        

    ##### Using Postman:


    1. **Fork the collection so you can edit values and test the APIs in your
    own postman environment:** To fork the collection, click on the three dots
    next to v1. Then click on create a fork (_shortcut: Ctrl + Alt + F)._
        
    2. **Update the value of the variables in the collection:**  
        \- Update the API key with the key generated in Step 3  
        \- Update the phone number with your connected number. This number will be added to the `x-phone` header across requests
        
        It must be in the format of country code+number, with no special characters or spaces _e.g. +91 98745 32456 becomes 919874532456_
        

    For any help or feedback, please contact us at
    [support@periskope.app](https://mailto:support@periskope.app), or ping us on
    [WhatsApp](https://what.sapp.link/periskope)
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.periskope.app/v1
security:
  - bearerAuth: []
tags:
  - name: contacts
  - name: tickets
  - name: tasks
  - name: phones
  - name: message
  - name: queue
  - name: chats
  - name: group
  - name: members
  - name: webhooks
  - name: custom properties
paths:
  /knowledge-base/document/create:
    post:
      tags:
        - knowledge-base
      summary: Create Document
      description: >
        Process and create document entries in the knowledge base. The document
        will be split into chunks for efficient retrieval.
      operationId: createDocument
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - document
              properties:
                document:
                  type: object
                  properties:
                    url:
                      type: string
                      description: The URL of the document to process
                    base64:
                      type: string
                      description: The raw bytes of the file, represented in base64
                    filename:
                      type: string
                      description: The filename of the document
                  example:
                    url: https://example.com/document.pdf
                    filename: document.pdf
                  description: Array of file URLs to process
      responses:
        '201':
          description: 201 Created
          content:
            application/json:
              schema:
                type: object
                properties:
                  file_name:
                    type: string
                    description: The filename of the document
                  document_id:
                    type: string
                    description: The ID of the document
                  file_path:
                    type: string
                    description: The path of the document
                  chunks_count:
                    type: number
                    description: The number of chunks created for the document
              examples:
                201 Created:
                  value:
                    file_name: Frank.pdf
                    document_id: 88a010a1-c6ac-4f8f-be15-850bee5372b7
                    file_path: >-
                      org-assets/2997dd64-89bf-48d3-9a22-b314fca017e5/ai_assets/documents/88a010a1-c6ac-4f8f-be15-850bee5372b7/Frank.pdf
                    chunks_count: 1
        '400':
          description: Bad Request - Invalid file format or URL
      x-codeSamples:
        - lang: TypeScript
          label: Node.js
          source: |-
            import { PeriskopeApi } from '@periskope/periskope-client';

            const client = new PeriskopeApi({
              authToken: 'YOUR_API_KEY',
              phone: 'YOUR_PHONE_NUMBER', // e.g., '919876543210'
            });

            async function createDocument() {
              const response = await client.knowledgeBase.createDocument({
                document: {
                  url: 'https://example.com/document.pdf',
                  filename: 'document.pdf'
                }
              });

              console.log(response);
            }

            createDocument();
        - lang: cURL
          label: cURL
          source: |-
            curl -X POST \
              https://api.periskope.app/v1/knowledge-base/document/create \
              -H 'Authorization: Bearer <token>' \
              -H 'Content-Type: application/json' \
              -H 'x-phone: YOUR_PHONE_NUMBER' \
              -d '{
                "document": {
                  "url": "https://example.com/document.pdf",
                  "filename": "document.pdf"
                }
              }'
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````